Como criar um Solido com entmake ???

Tirar duvidas sobre o curso de Autolisp

Moderador: Moderadores

Responder
sergiomarceneiro2
Novato
Novato
Mensagens: 3
Registrado em: Ter 08 Jun 2021 1:34:11 pm

Como criar um Solido com entmake ???

Mensagem por sergiomarceneiro2 »

Olá pessoal! Alguém, por favor, sabe me dizer como dezenhar um Sólido usando o comando ENTMAKE do AutoLisp
Aldo Cavalcante
Madeira
Madeira
Mensagens: 20
Registrado em: Ter 07 Nov 2017 11:17:35 am

Re: Como criar um Solido com entmake ???

Mensagem por Aldo Cavalcante »

sergiomarceneiro2, Bom dia!

Dê uma olhada nesta explicação, e substitua o exemplo da LINE para SOLID.
A função ENTMAKE

Esta função tem a seguinte sintaxe :

(ENTMAKE lista)

Cria uma entidade em função dos dados da lista de
associação passada como parâmetro.

Exemplo :

(ENTMAKE
'(
(0 . "LINE")
(6 . "CONTINUOUS")
(8 . "LAYER_DAS_LINHAS")
(10 100.0 100.0 0.0)
(11 100.0 250.0 0.0)
)
)
Imagem
Anexos
capture_002_01072021_123510.jpg
capture_002_01072021_123510.jpg (26.02 KiB) Exibido 203 vezes
sergiomarceneiro2
Novato
Novato
Mensagens: 3
Registrado em: Ter 08 Jun 2021 1:34:11 pm

Re: Como criar um Solido com entmake ???

Mensagem por sergiomarceneiro2 »

Obrigado, Aldo Cavalcante! Estou aprendendo AutoLisp, e consegui criar um sólido com sua dica.
Eu fiz dessa forma:
(ENTMAKE
'((0 . "SOLID") (8 . "1") (10 . (30.0 40.0 0.0))
(11 . (30.0 60.0 0.0)) (12 . (70.0 40.0 0.0)) (13 . (70.0 60.0 0.0))
(39 . 50) (210 . (0.0 0.0 1.0))))

Sem esta parte: (-1 . <Entity name: E0000900>)
Se eu não excluir essa parte do código não funciona e aparece a seguinte mensagem:
; error: extra cdrs in dotted pair on input.

Tambem preciso que as coordenadas sejam referentes ao LASTPOINT.
Vou continuar pesquisando, mas se tiver mais alguma dica eu agradeço...

Muito obrigado!
Responder